package com.atos.dsalm.crud;

import com.vaadin.annotations.AutoGenerated;
import com.vaadin.annotations.DesignRoot;
import com.vaadin.ui.Button;
import com.vaadin.ui.ComboBox;
import com.vaadin.ui.CssLayout;
import com.vaadin.ui.TextArea;
import com.vaadin.ui.TextField;
import com.vaadin.ui.declarative.Design;

/**
 * !! DO NOT EDIT THIS FILE !!
 *
 * This class is generated by Vaadin Designer and will be overwritten.
 *
 * Please make a subclass with logic and additional interfaces as needed,
 * e.g class LoginView extends LoginDesign implements View { … }
 */
@DesignRoot
@AutoGenerated
@SuppressWarnings("serial")

public class DSAFormDesign extends CssLayout {

	protected TextField dsaId;
	protected TextArea dsaDescription;
	protected Button createTemplate;
	protected Button createDsa;
    protected ComboBox dsaTemplates;

    protected Button show;
    protected Button accept;
    protected Button complete;
    protected Button edit;
    protected Button analyse;
    protected Button map;
    protected Button delete;
    protected Button conflict;
    protected Button cancel;
    protected Button revoke;
    protected Button copy;
    protected Button showRaw;

    public DSAFormDesign() {
        Design.read(this);
    }
}